using GTANetworkAPI;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Server.Services;
using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace ReallifeGamemode.Server.Commands
{
    class GroupCommands : Script
    {
        #region Chat Commands
        [Command("g", "~m~Benutzung: ~s~/g [Nachricht]", GreedyArg = true)]
        public void CmdGroupG(Client player, string message)
        {
            Entities.Group group = player.GetUser().Group;
            if (group == null)
            {
                ChatService.NotAuthorized(player);
                return;
            }

            message = Regex.Replace(message, "(~[a-zA-Z]~)|(!{(.*)})", "");
            message = $"{player.Name}: {message}";

            ChatService.BroadcastGroup(message, group);
        }
        #endregion
    }
}
